Summary: Interactive Symbolic Mathematics
Name: jacal
Version: 1b0
Release: 1
Copyright: GPL
Group: Applications/Mathematics
Source: ftp://ftp-swiss.ai.mit.edu/pub/scm/%{name}%{version}.zip
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: slib >= 2c3, scm

%description
  JACAL is a symbolic mathematics system for the simplification and
manipulation of equations and single and multiple valued algebraic
expressions constructed of numbers, variables, radicals, and algebraic
functions, differential, and holonomic functions.  In addition, vectors
and matrices of the above objects are included.

%changelog

* Wed Oct 6 1999 W. L. Estes <will@fumblers.org>
- 1b0
- account for new zip packaging
- rpm3 style macros
- new install-info handling

* Wed Jun 23 1999 W. L. Estes <will@fumblers.org>
- rebuilt to fix group ownerships, reported by Alex Stark <stark@niss.org>
- wrap preun script in $1 = 0 test

* Tue Mar 02 1999 W. L. Estes <wlestes@tarvalon.uncg.edu>
- upgrade to 1a9
- just define a prefix
- jacal has a info-dir-entry now
- call make version.txi

* Fri Nov 20 1998 W. L. Estes <wlestes@uncg.edu>
- update to 1a8

* Sat Oct 31 1998 W. L. Estes <wlestes@uncg.edu>
- initial release...
- info-dir-entry by hand as jacal.info doesnt have one

%prep
%setup -T -c -n %name
cd .. ; unzip -q %SOURCE0

%build
make version.txi
makeinfo jacal.texi
echo 'scm -iql `dirname $SCM_INIT_PATH`/math.scm -ie"(math)"' > jacal
chmod a+x jacal

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{info,share/scm,bin}
cp -p jacal $RPM_BUILD_ROOT/usr/bin
gzip -f --name jacal.info*
cp -p jacal.info* $RPM_BUILD_ROOT/usr/info
cp -p HELP *.scm $RPM_BUILD_ROOT/usr/share/scm

%clean
rm -rf $RPM_BUILD_ROOT

%post
for i in --delete " " ; do
    install-info $i %_usr/info/jacal.info.gz %_usr/info/dir
done

%preun
if [ $1 = 0 ] ; then
install-info --delete %_usr/info/jacal.info.gz %_usr/info/dir
fi

%files
%defattr (-, root, root)
%doc ANNOUNCE README DOC/* *.math demo
%_usr/bin/*
%_usr/info/%{name}.info*.gz
%_usr/share/scm/*
